Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362573 - [Docs][Admin] Extend appe-Red_Hat_Enterprise_Virtualization_and_SSL.html to cover websocket-proxy
Summary: [Docs][Admin] Extend appe-Red_Hat_Enterprise_Virtualization_and_SSL.html to c...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.2.2
: ---
Assignee: Avital Pinnick
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On: 1416232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 14:29 UTC by Jiri Belka
Modified: 2018-04-12 09:01 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-12 09:01:08 UTC
oVirt Team: Docs


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3238271 None None None 2018-03-05 15:07:47 UTC

Description Jiri Belka 2016-08-02 14:29:06 UTC
Description of problem:

Extend appe-Red_Hat_Enterprise_Virtualization_and_SSL.html to cover websocket-proxy, this topic was raised on ovirt-users list, see

http://lists.ovirt.org/pipermail/users/2016-August/041666.html

For custom CA and own certs for https, websocket proxy would need following changes:

# cat /etc/ovirt-engine/ovirt-websocket-proxy.conf.d/10-setup.conf 
PROXY_PORT=6100
SSL_CERTIFICATE=/etc/pki/ovirt-engine/apache-ca.pem
SSL_KEY=/etc/pki/ovirt-engine/keys/apache.key.nopass
CERT_FOR_DATA_VERIFICATION=/etc/pki/ovirt-engine/certs/engine.cer
SSL_ONLY=True

original was

]# cat /etc/ovirt-engine/ovirt-websocket-proxy.conf.d/10-setup.conf.orig 
PROXY_PORT=6100
SSL_CERTIFICATE=/etc/pki/ovirt-engine/certs/websocket-proxy.cer
SSL_KEY=/etc/pki/ovirt-engine/keys/websocket-proxy.key.nopass
CERT_FOR_DATA_VERIFICATION=/etc/pki/ovirt-engine/certs/engine.cer
SSL_ONLY=True


Version-Release number of selected component (if applicable):
rhevm-doc-4.0.0-3.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. check rhevm docs if there are steps how to put custom certs for spice-html5
2.
3.

Actual results:
none steps

Expected results:
docs should cover it

Additional info:

Comment 6 Tahlia Richardson 2018-04-10 00:54:23 UTC
Reviewed and merged.


Note You need to log in before you can comment on or make changes to this bug.